html {
  margin: 0;
  width: 100%;
  height: 100%;
  background: white;
}


body {
  margin: 0 auto;
  padding: 0rem 2rem 0rem 2rem;
  min-height: 100%;
  max-width: 60rem;

  font: normal normal 15px Verdana, Geneva, sans-serif;
  line-height: 150%;

  color: #6f6f6f;
  background: white;
}


img {
  display: block;
  max-width: calc(100% - 2rem);
  margin: 0 auto;
}


a {
  color: slategray;
  text-decoration: none;
}


h1 {
  font-size: 2em;
  line-height: 100%;
}


h2 {
  font-size: 1.2em;
}


h3 {
  font-size: 0.8em;
}


.page-content {
  display: grid;
  grid-template-columns: min(38rem, 100%);
}


@media screen and (min-width: 60rem) {
  .page-content {
    display: grid;
    grid-template-columns: 38rem auto;
  }
}


.posts-content {
  grid-column: 1 / auto;
  grid-row: 1 / auto;
}


.post-preview {
  padding-bottom: 1rem;
  border-bottom: 1px solid gray;
}


.post-view {
  padding-bottom: 1rem;
  border-bottom: 1px solid gray;
}


.nav-menu-btn {
  -webkit-appearance: none;
     -moz-appearance: none;
          appearance: none;
  visibility: hidden;
  background-color: #fff;
  margin: 0;
}


.nav-menu-btn ~ label {
  cursor: pointer;
  display: inline-block;
  text-align: center;
  width: 32px;
  height: 32px;
  font-size: 30px;
  position: absolute;
  right: 10px;
}


.nav-menu {
  position: sticky;
  top: 2rem;
  height: -moz-fit-content;
  height: fit-content;
  width: 20rem;
  grid-column: 1 / auto;
  grid-row: 1 / auto;
}


@media screen and (min-width: 60rem) {
  .nav-menu {
    position: sticky;
    height: -moz-fit-content;
    height: fit-content;
    width: 20rem;
    grid-column: 2 / auto;
    grid-row: 1 / auto;
  }

  .nav-menu:first-child {
    display: block;
  }

  .nav-menu-btn ~ label {
    display: none;
  }
}


@media screen and (max-width: 60rem) {
  .nav-menu {
    position: absolute;
    top: 1rem;
    left: 0;
    height: -moz-fit-content;
    height: fit-content;
    width: 100%;
    grid-column: 1 / auto;
    grid-row: 1 / auto;
  }

  .nav-menu:has( > .nav-menu-btn) {
    height:32px;
    overflow: hidden;
  }

  .nav-menu:has( > .nav-menu-btn:checked) {
    height: -moz-fit-content;
    height: fit-content;
  }

  .nav-menu-btn:checked ~ .nav-tree {
    background-color: white;
    padding-bottom: 2rem;
    box-shadow: 0px 5px 5px rgba(0,0,0,0.5);
  }

  .nav-menu-btn:checked ~ label {
    background-color: lightgray;
    border-radius: 5px;
  }
}


.nav-tree {
  --spacing: 1.5rem;
  --radius: 10px;
}


.nav-tree ul {
  display: block;
  padding-left: 2rem;
}


.nav-tree li {
  display: block;
  position: relative;
}


.nav-prev-next {
  display: flex;
  width: 100%;
  margin-top: 2rem;
  margin-bottom: 2rem;
}


.nav-prev-next > a {
  flex-grow: 1;
  text-align: center;
}


.nav-prev-next > a:first-child {
  text-align: left;
}


.nav-prev-next > a:last-child {
  text-align: right;
}